# class GxG::IO::Duplex

### Public Class Methods

new(*args) click to toggle source
Calls superclass method `GxG::IO::IO::new`

    # File lib/gxg/gxg_io.rb, line 2541
    def initialize(*args)
      params = self.process_parameters(*args)
      if params[:mode].index(:read)
        params[:mode].delete(:read)
      end
      if params[:mode].index(:write)
        params[:mode].delete(:write)
      end
      unless params[:mode].index(:readwrite)
        params[:mode] << :readwrite
      end
      super(params)
      self
    end